Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class InformerLink

    java.lang.Object
      SEdit.SElement
          SEdit.SArrow
              SEdit.Formalisms.Petri.PetriLink
                  SEdit.Formalisms.Petri.PetriInLink
                      SEdit.Formalisms.Petri.InformerLink

    public class InformerLink

extends PetriInLink

CLASSE ConsumerLink /

Field Summary

Fields inherited from class SEdit.Formalisms.Petri.PetriLink
`activated, filter, filterString, validated, weight`

Fields inherited from class SEdit.SArrow
`origin, target`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`InformerLink()`

Method Summary
`protected void` | `consume(java.util.Hashtable env)`
`void` | `doActivate()`
`void` | `inhibit()`
`protected boolean` | `isEmpty()`

Methods inherited from class SEdit.Formalisms.Petri.PetriInLink
`getTokens, isConnectable`

Methods inherited from class SEdit.Formalisms.Petri.PetriLink
`active, askForNewString, getFilter, getFilterString, getWeight, modifyFilter, modifyWeight, setFilter, setFilterString, setWeight, validate`

Methods inherited from class SEdit.SArrow
`delete, getOrigin, getTarget, initGraphics, setOrigin, setTarget, toString`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InformerLink

    public InformerLink()

Method Detail

### doActivate

    public void doActivate()

  Specified by:
    `doActivate` in class `PetriInLink`

### inhibit

    public void inhibit()

  Specified by:
    `inhibit` in class `PetriInLink`

### isEmpty

    protected boolean isEmpty()

  Specified by:
    `isEmpty` in class `PetriInLink`

### consume

    protected void consume(java.util.Hashtable env)

  Specified by:
    `consume` in class `PetriInLink`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.